/* Lowercase a file */

/* variable declarations */

uppercase = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
lowercase = 'abcdefghijklmnopqrstuvwxyz'

call RxFuncAdd 'SysTempFileName', 'RexxUtil', 'SysTempFileName'
call RxFuncAdd 'SysFileDelete', 'RexxUtil', 'SysFileDelete'

parse arg FileName

/* create a temp file for the outgoing message */
OutFile = SysTempFileName('lc?????.tmp', '?');
rc = stream(OutFile, 'C', 'OPEN WRITE')  /* open the file for writing */
if rc <> 'READY:' then do
  say 'Cannot create temporary file.'
  exit
  end

rc = stream(FileName, 'c', 'open read')

do while lines(FileName) <> 0         /* until end of file */
  Line = linein(FileName)             /* get a line of the file */
  Line = translate(Line, lowercase, uppercase)
  rc = lineout(OutFile, Line, )
  end

rc = stream(FileName, 'c', 'close')
rc = stream(OutFile, 'c', 'close')

rc = SysFileDelete(FileName)

'rename' OutFile FileName

say 'Done.'


