/* SendDigest */
/*
 * This script will send out digests once per day at 1am.
 * It must be started from the Steward directory where the
 * digest.cmd file is.
 *
 * For each digest you want to be sent out, put a new line
 * in the do while loop like the sample one.
 *
 */

call RxFuncAdd 'SysSleep', 'RexxUtil', 'SysSleep'

Minutes = time('M')                 /* minutes since midnight */

MinLeft = (60 * 24) - Minutes + 60  /* the number of minutes until 1am */

Seconds = MinLeft * 60              /* the number of seconds until 1am */

say 'Sleeping until 1am ...'

call SysSleep Seconds               /* sleep until then */

Seconds = 24 * 60 * 60              /* seconds in a day */

/* do this loop until stopped externally */
do while 1
  say 'Sending digests now.'

  /* Put your digest names here, one per line */
  call digest 'vabuilder-digest'
  call digest 'inetmail-digest'

  say 'Sleeping' Seconds 'seconds ...'
  call SysSleep Seconds             /* go to sleep until tommorrow */
end

