/* ------------------------------------------------------------------ */
/*
 * UnLock
 *
 * Unlock a file.
 *
 */

TRUE = 1
FALSE = 0

UnLock: 

parse arg FileName

/* first close the lock file */
LockName = FileName.'lock'
rc = stream(LockName, 'C', 'CLOSE')

parse var rc state ':' code
if state = 'NOTREADY' then
  return FALSE

/* Delete the lock file */
call RxFuncAdd 'SysFileDelete', 'RexxUtil', 'SysFileDelete'
rc = SysFileDelete(LockName);

return TRUE

